org.wso2.carbon.dataservices.sql.driver.parser

## Class Constants

- java.lang.Object
- - org.wso2.carbon.dataservices.sql.driver.parser.Constants

-     public final class Constants
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Constants.DRIVER_PROPERTIES`
    `static class` | `Constants.GSPREAD_PROPERTIES`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ACCESS_MODE_PRIVATE`
    `static String` | `ACCESS_MODE_PUBLIC`
    `static String` | `AGGREGATE_FUNCTION`
    `static String` | `ALL`
    `static String` | `AND`
    `static String` | `AS`
    `static String` | `AS_COLUMN`
    `static String` | `AS_REF`
    `static String` | `ASC`
    `static String` | `ASTERISK`
    `static String` | `AVG`
    `static String` | `BASE_WORKSHEET_URL`
    `static String` | `COLON`
    `static String` | `COLUMN`
    `static String` | `COMMA`
    `static String` | `CONCAT`
    `static String` | `COUNT`
    `static String` | `CREATE`
    `static String` | `CUSTOM`
    `static String` | `DELAYED`
    `static String` | `DELETE`
    `static String` | `DESC`
    `static String` | `DISTINCT`
    `static String` | `DISTINCTROW`
    `static String` | `DIVISION`
    `static String` | `DOT`
    `static String` | `DROP`
    `static String` | `DUMPFILE`
    `static String` | `DUPLICATE`
    `static String` | `EQUAL`
    `static String` | `EXCEL`
    `static String` | `EXCEL_PREFIX`
    `static String` | `FORWARD_SLASH`
    `static String` | `FROM`
    `static String` | `GREATER_THAN`
    `static String` | `GROUP_BY`
    `static String` | `GSPREAD`
    `static String` | `GSPRED_PREFIX`
    `static String` | `HIGH_PRIORITY`
    `static String` | `HYPHEN`
    `static String` | `IN`
    `static String` | `INNER`
    `static String` | `INSERT`
    `static String` | `INTO`
    `static String` | `IS`
    `static String` | `JDBC_PREFIX`
    `static String` | `JOIN`
    `static String` | `KEY`
    `static String` | `LAST_INSERT_ID`
    `static String` | `LEFT_BRACE`
    `static String` | `LEFT_BRACKET`
    `static String` | `LESS_THAN`
    `static String` | `LIKE`
    `static String` | `LIMIT`
    `static String` | `LOCK`
    `static String` | `LOW_PRIORITY`
    `static String` | `LTRIM`
    `static String` | `MAX`
    `static String` | `MIN`
    `static String` | `MINUS`
    `static String` | `MODE`
    `static String` | `NEW_LINE`
    `static String` | `NOT`
    `static String` | `NULL`
    `static String` | `OFFSET`
    `static String` | `ON`
    `static String` | `OP_VALUE`
    `static String` | `OPERATOR`
    `static String` | `OR`
    `static String` | `ORDER_BY`
    `static String` | `OUTER`
    `static String` | `OUTFILE`
    `static String` | `PARAM_VALUE`
    `static String` | `PLUS`
    `static String` | `PROCEDURE`
    `static String` | `PROVIDER_PREFIX`
    `static String` | `RETURN`
    `static String` | `RIGHT_BRACE`
    `static String` | `RIGHT_BRACKET`
    `static String` | `ROLLUP`
    `static String` | `RTRIM`
    `static String` | `SELECT`
    `static String` | `SEMI_COLON`
    `static String` | `SET`
    `static String` | `SHARE`
    `static String` | `SHEET`
    `static String` | `SINGLE_QUOTATION`
    `static String` | `SPREADSHEET_FEED_BASE_URL`
    `static String` | `SPREADSHEET_SERVICE_NAME`
    `static String` | `SQL_BIG_RESULT`
    `static String` | `SQL_BUFFER_RESULT`
    `static String` | `SQL_CACHE`
    `static String` | `SQL_CALC_FOUND_ROWS`
    `static String` | `SQL_NO_CACHE`
    `static String` | `SQL_SMALL_RESULT`
    `static String` | `START_OF_LBRACKET`
    `static String` | `START_OF_RBRACKET`
    `static String` | `STRAIGHT_JOIN`
    `static String` | `STRING_FUNCTION`
    `static String` | `SUBSTR`
    `static String` | `SUM`
    `static String` | `TABLE`
    `static String` | `TRIM`
    `static String` | `UNDERSCORE`
    `static String` | `UPDATE`
    `static String` | `VALUE`
    `static String` | `VALUES`
    `static String` | `WHERE`
    `static String` | `WHITE_SPACE`
    `static String` | `WITH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Constants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SEMI_COLON

          public static final String SEMI_COLON

      See Also:
        Constant Field Values

    - #### EQUAL

          public static final String EQUAL

      See Also:
        Constant Field Values

    - #### WHITE_SPACE

          public static final String WHITE_SPACE

      See Also:
        Constant Field Values

    - #### COMMA

          public static final String COMMA

      See Also:
        Constant Field Values

    - #### ASTERISK

          public static final String ASTERISK

      See Also:
        Constant Field Values

    - #### DOT

          public static final String DOT

      See Also:
        Constant Field Values

    - #### HYPHEN

          public static final String HYPHEN

      See Also:
        Constant Field Values

    - #### GREATER_THAN

          public static final String GREATER_THAN

      See Also:
        Constant Field Values

    - #### LESS_THAN

          public static final String LESS_THAN

      See Also:
        Constant Field Values

    - #### LEFT_BRACKET

          public static final String LEFT_BRACKET

      See Also:
        Constant Field Values

    - #### RIGHT_BRACKET

          public static final String RIGHT_BRACKET

      See Also:
        Constant Field Values

    - #### LEFT_BRACE

          public static final String LEFT_BRACE

      See Also:
        Constant Field Values

    - #### RIGHT_BRACE

          public static final String RIGHT_BRACE

      See Also:
        Constant Field Values

    - #### PLUS

          public static final String PLUS

      See Also:
        Constant Field Values

    - #### MINUS

          public static final String MINUS

      See Also:
        Constant Field Values

    - #### UNDERSCORE

          public static final String UNDERSCORE

      See Also:
        Constant Field Values

    - #### DIVISION

          public static final String DIVISION

      See Also:
        Constant Field Values

    - #### FORWARD_SLASH

          public static final String FORWARD_SLASH

      See Also:
        Constant Field Values

    - #### COLON

          public static final String COLON

      See Also:
        Constant Field Values

    - #### SINGLE_QUOTATION

          public static final String SINGLE_QUOTATION

      See Also:
        Constant Field Values

    - #### SELECT

          public static final String SELECT

      See Also:
        Constant Field Values

    - #### DELETE

          public static final String DELETE

      See Also:
        Constant Field Values

    - #### FROM

          public static final String FROM

      See Also:
        Constant Field Values

    - #### WHERE

          public static final String WHERE

      See Also:
        Constant Field Values

    - #### INSERT

          public static final String INSERT

      See Also:
        Constant Field Values

    - #### INTO

          public static final String INTO

      See Also:
        Constant Field Values

    - #### GROUP_BY

          public static final String GROUP_BY

      See Also:
        Constant Field Values

    - #### ORDER_BY

          public static final String ORDER_BY

      See Also:
        Constant Field Values

    - #### COUNT

          public static final String COUNT

      See Also:
        Constant Field Values

    - #### MAX

          public static final String MAX

      See Also:
        Constant Field Values

    - #### VALUES

          public static final String VALUES

      See Also:
        Constant Field Values

    - #### UPDATE

          public static final String UPDATE

      See Also:
        Constant Field Values

    - #### SET

          public static final String SET

      See Also:
        Constant Field Values

    - #### DELAYED

          public static final String DELAYED

      See Also:
        Constant Field Values

    - #### LOW_PRIORITY

          public static final String LOW_PRIORITY

      See Also:
        Constant Field Values

    - #### HIGH_PRIORITY

          public static final String HIGH_PRIORITY

      See Also:
        Constant Field Values

    - #### ON

          public static final String ON

      See Also:
        Constant Field Values

    - #### DUPLICATE

          public static final String DUPLICATE

      See Also:
        Constant Field Values

    - #### KEY

          public static final String KEY

      See Also:
        Constant Field Values

    - #### LAST_INSERT_ID

          public static final String LAST_INSERT_ID

      See Also:
        Constant Field Values

    - #### ALL

          public static final String ALL

      See Also:
        Constant Field Values

    - #### DISTINCT

          public static final String DISTINCT

      See Also:
        Constant Field Values

    - #### DISTINCTROW

          public static final String DISTINCTROW

      See Also:
        Constant Field Values

    - #### STRAIGHT_JOIN

          public static final String STRAIGHT_JOIN

      See Also:
        Constant Field Values

    - #### SQL_SMALL_RESULT

          public static final String SQL_SMALL_RESULT

      See Also:
        Constant Field Values

    - #### SQL_BIG_RESULT

          public static final String SQL_BIG_RESULT

      See Also:
        Constant Field Values

    - #### SQL_BUFFER_RESULT

          public static final String SQL_BUFFER_RESULT

      See Also:
        Constant Field Values

    - #### SQL_CACHE

          public static final String SQL_CACHE

      See Also:
        Constant Field Values

    - #### SQL_NO_CACHE

          public static final String SQL_NO_CACHE

      See Also:
        Constant Field Values

    - #### SQL_CALC_FOUND_ROWS

          public static final String SQL_CALC_FOUND_ROWS

      See Also:
        Constant Field Values

    - #### ASC

          public static final String ASC

      See Also:
        Constant Field Values

    - #### DESC

          public static final String DESC

      See Also:
        Constant Field Values

    - #### LIMIT

          public static final String LIMIT

      See Also:
        Constant Field Values

    - #### OFFSET

          public static final String OFFSET

      See Also:
        Constant Field Values

    - #### WITH

          public static final String WITH

      See Also:
        Constant Field Values

    - #### ROLLUP

          public static final String ROLLUP

      See Also:
        Constant Field Values

    - #### PROCEDURE

          public static final String PROCEDURE

      See Also:
        Constant Field Values

    - #### OUTFILE

          public static final String OUTFILE

      See Also:
        Constant Field Values

    - #### DUMPFILE

          public static final String DUMPFILE

      See Also:
        Constant Field Values

    - #### LOCK

          public static final String LOCK

      See Also:
        Constant Field Values

    - #### SHARE

          public static final String SHARE

      See Also:
        Constant Field Values

    - #### MODE

          public static final String MODE

      See Also:
        Constant Field Values

    - #### CONCAT

          public static final String CONCAT

      See Also:
        Constant Field Values

    - #### AS

          public static final String AS

      See Also:
        Constant Field Values

    - #### AVG

          public static final String AVG

      See Also:
        Constant Field Values

    - #### MIN

          public static final String MIN

      See Also:
        Constant Field Values

    - #### TRIM

          public static final String TRIM

      See Also:
        Constant Field Values

    - #### LTRIM

          public static final String LTRIM

      See Also:
        Constant Field Values

    - #### RTRIM

          public static final String RTRIM

      See Also:
        Constant Field Values

    - #### SUBSTR

          public static final String SUBSTR

      See Also:
        Constant Field Values

    - #### NOT

          public static final String NOT

      See Also:
        Constant Field Values

    - #### IS

          public static final String IS

      See Also:
        Constant Field Values

    - #### IN

          public static final String IN

      See Also:
        Constant Field Values

    - #### NULL

          public static final String NULL

      See Also:
        Constant Field Values

    - #### LIKE

          public static final String LIKE

      See Also:
        Constant Field Values

    - #### AND

          public static final String AND

      See Also:
        Constant Field Values

    - #### OR

          public static final String OR

      See Also:
        Constant Field Values

    - #### JOIN

          public static final String JOIN

      See Also:
        Constant Field Values

    - #### INNER

          public static final String INNER

      See Also:
        Constant Field Values

    - #### SUM

          public static final String SUM

      See Also:
        Constant Field Values

    - #### CREATE

          public static final String CREATE

      See Also:
        Constant Field Values

    - #### SHEET

          public static final String SHEET

      See Also:
        Constant Field Values

    - #### DROP

          public static final String DROP

      See Also:
        Constant Field Values

    - #### COLUMN

          public static final String COLUMN

      See Also:
        Constant Field Values

    - #### TABLE

          public static final String TABLE

      See Also:
        Constant Field Values

    - #### OPERATOR

          public static final String OPERATOR

      See Also:
        Constant Field Values

    - #### OP_VALUE

          public static final String OP_VALUE

      See Also:
        Constant Field Values

    - #### AS_REF

          public static final String AS_REF

      See Also:
        Constant Field Values

    - #### AGGREGATE_FUNCTION

          public static final String AGGREGATE_FUNCTION

      See Also:
        Constant Field Values

    - #### STRING_FUNCTION

          public static final String STRING_FUNCTION

      See Also:
        Constant Field Values

    - #### START_OF_LBRACKET

          public static final String START_OF_LBRACKET

      See Also:
        Constant Field Values

    - #### START_OF_RBRACKET

          public static final String START_OF_RBRACKET

      See Also:
        Constant Field Values

    - #### AS_COLUMN

          public static final String AS_COLUMN

      See Also:
        Constant Field Values

    - #### EXCEL

          public static final String EXCEL

      See Also:
        Constant Field Values

    - #### GSPREAD

          public static final String GSPREAD

      See Also:
        Constant Field Values

    - #### CUSTOM

          public static final String CUSTOM

      See Also:
        Constant Field Values

    - #### VALUE

          public static final String VALUE

      See Also:
        Constant Field Values

    - #### PARAM_VALUE

          public static final String PARAM_VALUE

      See Also:
        Constant Field Values

    - #### BASE_WORKSHEET_URL

          public static final String BASE_WORKSHEET_URL

      See Also:
        Constant Field Values

    - #### SPREADSHEET_FEED_BASE_URL

          public static final String SPREADSHEET_FEED_BASE_URL

      See Also:
        Constant Field Values

    - #### SPREADSHEET_SERVICE_NAME

          public static final String SPREADSHEET_SERVICE_NAME

      See Also:
        Constant Field Values

    - #### JDBC_PREFIX

          public static final String JDBC_PREFIX

      See Also:
        Constant Field Values

    - #### EXCEL_PREFIX

          public static final String EXCEL_PREFIX

      See Also:
        Constant Field Values

    - #### GSPRED_PREFIX

          public static final String GSPRED_PREFIX

      See Also:
        Constant Field Values

    - #### PROVIDER_PREFIX

          public static final String PROVIDER_PREFIX

      See Also:
        Constant Field Values

    - #### OUTER

          public static final String OUTER

      See Also:
        Constant Field Values

    - #### ACCESS_MODE_PRIVATE

          public static final String ACCESS_MODE_PRIVATE

      See Also:
        Constant Field Values

    - #### ACCESS_MODE_PUBLIC

          public static final String ACCESS_MODE_PUBLIC

      See Also:
        Constant Field Values

    - #### RETURN

          public static final String RETURN

      See Also:
        Constant Field Values

    - #### NEW_LINE

          public static final String NEW_LINE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Constants

          public Constants()

Copyright © 2019 WSO2. All rights reserved.